> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Configuración del widget

> Obtiene apariencia y textos del chat en el sitio.



## OpenAPI

````yaml /es/ai-web-widget/api-reference/openapi-ai-web-widget.json get /public/ai-widget/{publicKey}/config
openapi: 3.0.3
info:
  title: Notifique API Chat no site (widget)
  description: >-
    **Widget de chat AI** API pública en el sitio web del cliente. No utiliza la
    clave API del espacio de trabajo: la seguridad se realiza con **clave
    pública del widget**, **dominios permitidos** y **token de sesión** firmado.


    Base: `https://api.notifique.dev/public/ai-widget`
  version: 1.0.0
servers:
  - url: https://api.notifique.dev
    description: Producción
security: []
tags:
  - name: Widget público
    description: Incrustar configuración, sesión, mensajes y OTP
paths:
  /public/ai-widget/{publicKey}/config:
    get:
      tags:
        - Widget público
      summary: Configuración del widget
      description: Obtiene apariencia y textos del chat en el sitio.
      operationId: ntfWidget_getConfig
      parameters:
        - name: publicKey
          in: path
          required: true
          schema:
            type: string
            minLength: 8
            maxLength: 64
          description: Clave pública del widget (`ntfw_...`).
      responses:
        '200':
          description: Configuración de widgets
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WidgetConfigResponse'
        '404':
          description: No se encontró el widget
components:
  schemas:
    WidgetConfigResponse:
      type: object
      properties:
        success:
          type: boolean
        data:
          type: object
          properties:
            widgetName:
              type: string
            welcomeText:
              type: string
            suggestedQuestions:
              type: array
              items:
                type: string
            identificationMode:
              type: string
              enum:
                - ANONYMOUS
                - OPTIONAL
                - REQUIRED
            requireIdentityOtp:
              type: boolean

````